changeset 287:977302071875

Teach run-all-tests mode to only test enabled commands.
author Rob Landley <rob@landley.net>
date Sun, 04 May 2008 16:03:10 -0500
parents 7126df2ae342
children e75dac368375
files scripts/test.sh
diffstat 1 files changed, 8 insertions(+), 2 deletions(-) [+]
line wrap: on
line diff
--- a/scripts/test.sh	Sun May 04 16:00:52 2008 -0500
+++ b/scripts/test.sh	Sun May 04 16:03:10 2008 -0500
@@ -7,7 +7,7 @@
 
 if [ -z "$OLD" ]
 then
-  make install_flat PREFIX=testdir
+  make install_flat PREFIX=testdir || exit 1
 fi
 
 cd testdir
@@ -25,6 +25,12 @@
 else
   for i in "$TOPDIR"/scripts/test/*.test
   do
-    . $i
+    CMDNAME="$(echo "$i" | sed 's@.*/\(.*\)\.test@\1@')"
+    if [ -h $CMDNAME ]
+    then
+      . $i
+    else
+      echo "$CMDNAME disabled"
+    fi
   done
 fi